Subject: Re: iSCSI: keys allowed during security stage

From: "Julian Satran" <[email-masked]>
Date: Fri, 25 Jan 2002 13:14:04 +0200

You are right - they are allowed too.  Julo

"Robert D. Russell" <[email-masked]>
25-01-02 12:06

        To:     Julian Satran/Haifa/IBM@IBMIL
        cc:     Eddy Quicksall <[email-masked]>, "ips@ece. cmu. edu (E-mail)" 
<[email-masked]>
        Subject:        Re: iSCSI: keys allowed during security stage

Julian:

I thought InitiatorAlias and TargetAlias were also allowed
during security negotiation.  Is this incorrect?
There doesn't seem to be any reason to disallow them,
and they could be used to provide extra information in
the case of a negotiation failure that could be helpful.

Bob Russell

On Fri, 25 Jan 2002, Julian Satran wrote:

> you are correct - I will consider the list. Julo
>
>
>
>
> Eddy Quicksall <[email-masked]>
> 25-01-02 00:33
>
>
>         To:     Julian Satran/Haifa/IBM@IBMIL, "ips@ece. cmu. edu 
(E-mail)"
> <[email-masked]>
>         cc:
>         Subject:        iSCSI: keys allowed during security stage
>
>
>
> Julian,
>
> What would you think about putting a list of keys that are allowed 
during
> security stage in Section 11? The reason I ask this is because currently
> you have to read through each key to figure that out.
>
> I think the only keys allowed during security stage are:
>
> SessionType
> InitiatorName
> TargetName
> AuthMethod
> And all keys listed under AuthMethod along with all of their associated
> keys.
>
> If you don't want to list them, can you please confirm that I am correct
> above (e.g., HeaderDigest is not allowed in security stage)?
>
> Eddy
>
>